petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISPermutation

PETSC_TRUE or PETSC_FALSE depending on whether the index set has been declared to be a permutation.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISPermutation(IS is,PetscBool  *perm)

Logically Collective on IS

### Input Parmeters

is -the index set

### Output Parameters

perm -PETSC_TRUE if a permutation, else PETSC_FALSE

### See Also

ISSetPermutation()

### Level

intermediate

### Location

src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages